aboutsummaryrefslogtreecommitdiffstats
path: root/.config
diff options
context:
space:
mode:
authorDavid Runge <dave@sleepmap.de>2018-03-12 16:39:41 +0100
committerDavid Runge <dave@sleepmap.de>2018-03-12 16:39:41 +0100
commit63577d9f3dbf0d3a8b148114e44577489e445cc8 (patch)
tree1e89b290f7f00584a25087f1e5bd950e50c54634 /.config
parent0e2d2425b3ccc1dd75c03c6922627bf709e165ba (diff)
downloaddotfiles-63577d9f3dbf0d3a8b148114e44577489e445cc8.tar.gz
dotfiles-63577d9f3dbf0d3a8b148114e44577489e445cc8.tar.bz2
dotfiles-63577d9f3dbf0d3a8b148114e44577489e445cc8.tar.xz
dotfiles-63577d9f3dbf0d3a8b148114e44577489e445cc8.zip
.config/cs/pre_umount/media: Adding post_mount and pre_umount scripts for device 'media'.
Diffstat (limited to '.config')
-rwxr-xr-x.config/cs/post_mount/media10
-rwxr-xr-x.config/cs/pre_umount/media5
2 files changed, 15 insertions, 0 deletions
diff --git a/.config/cs/post_mount/media b/.config/cs/post_mount/media
new file mode 100755
index 0000000..0e12ea7
--- /dev/null
+++ b/.config/cs/post_mount/media
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+sudo mkdir -vp /mnt/{music,photos}
+sudo mount -v --bind /mnt/media/music /mnt/music
+sudo mount -v --bind /mnt/media/photos /mnt/photos
+if [ ! -h ~/.cache/shotwell ]; then
+ ln -sv /mnt/photos/shotwell/ ~/.cache/shotwell
+fi
diff --git a/.config/cs/pre_umount/media b/.config/cs/pre_umount/media
new file mode 100755
index 0000000..8dd0475
--- /dev/null
+++ b/.config/cs/pre_umount/media
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+sudo umount -v /mnt/{music,photos}